#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from typing import Any, Optional, Self

class I18NManagerInterface:

    def start(self:Self) -> None:pass
    
    def get(self, texts:str|list|tuple, inputs:Optional[dict[str, Any|None]|list[Any|None]|tuple[Any|None]] = None, _default:Optional[Any] = None) -> str|None:pass